package com.docus.server.tool;

import lombok.Data;

@Data
public class ProcessorContext {
    //线程变量，请求线程内有效
    private static final ThreadLocal<ProcessorContext> current = new ThreadLocal<>();
    private String jsonStr;

    //初始化
    public static void init(String jsonStr) {
        current.remove();
        ProcessorContext context = new ProcessorContext();
        context.jsonStr = jsonStr;
        current.set(context);
    }

    //获取当前现场request
    public static ProcessorContext get() {
        return current.get();
    }

    //清除线程变量
    public static void clear() {
        current.remove();
    }

}
